.TH "mca_pml_ob1_rdma_hdr_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_pml_ob1_rdma_hdr_t \- Header used to initiate an RDMA operation.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_ob1_hdr.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_pml_ob1_common_hdr_t\fP \fBhdr_common\fP"
.br
.RI "\fIcommon attributes \fP"
.ti -1c
.RI "ompi_ptr_t \fBhdr_req\fP"
.br
.RI "\fIdestination request \fP"
.ti -1c
.RI "ompi_ptr_t \fBhdr_des\fP"
.br
.RI "\fIsource descriptor \fP"
.ti -1c
.RI "uint64_t \fBhdr_rdma_offset\fP"
.br
.RI "\fIcurrent offset into user buffer \fP"
.ti -1c
.RI "uint32_t \fBhdr_seg_cnt\fP"
.br
.RI "\fInumber of segments for rdma \fP"
.ti -1c
.RI "\fBmca_btl_base_segment_t\fP \fBhdr_segs\fP [1]"
.br
.RI "\fIlist of segments for rdma \fP"
.in -1c
.SH "Detailed Description"
.PP 
Header used to initiate an RDMA operation. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
